<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry version="5.0-subset Scilab" xml:id="DOLLAR_f"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>DOLLAR_f</refname>

    <refpurpose>Delay operator</refpurpose>
  </refnamediv>

  <refsection>
    <title>Block Screenshot</title>

    <para><inlinemediaobject>
        <imageobject>
          <imagedata align="center" fileref="../../../../images/palettes/DOLLAR_f.jpg"
                     valign="middle"></imagedata>
        </imageobject>
      </inlinemediaobject></para>
  </refsection>

  <refsection id="Contents_DOLLAR_f">
    <title>Contents</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="DOLLAR_f">Delay operator</link>
        </para>
      </listitem>

      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_DOLLAR_f">Palette</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Description_DOLLAR_f">Description</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Dialogbox_DOLLAR_f">Dialog box</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Defaultproperties_DOLLAR_f">Default
              properties</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Interfacingfunction_DOLLAR_f">Interfacing
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Computationalfunction_DOLLAR_f">Computational
              function</xref>
            </para>
          </listitem>

          <listitem>
            <para>
              <xref linkend="Authors_DOLLAR_f">Authors</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Palette_DOLLAR_f">
    <title>Palette</title>

    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Discrete_pal">Discrete time systems palette</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Description_DOLLAR_f">
    <title>Description</title>

    <para>The Unit Delay block delays its input by the specified sample
    period. This block is equivalent to the z-1 discrete-time operator. The
    block accepts one input and generates one output, which can be either both
    scalar or both vector. If the input is a vector, all elements of the
    vector are delayed by the same sample period.</para>
  </refsection>

  <refsection id="Dialogbox_DOLLAR_f">
    <title>Dialog box</title>

    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata align="center" fileref="../../../../images/gui/DOLLAR_f_gui.gif"
                     valign="middle" />
        </imageobject>
      </inlinemediaobject>
    </para>

    <para />

    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">initial condition</emphasis>
        </para>

        <para>The output of the simulation for the first sampling period,
        during which the output of the Unit Delay block is otherwise
        undefined.</para>

        <para>Properties : Type 'vec' of size -1.</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">Inherit (no:0, yes:1)</emphasis>
        </para>

        <para>When "Inherit" is yes, the block inherit its event input.</para>

        <para>Properties : Type 'vec' of size -1.</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Defaultproperties_DOLLAR_f">
    <title>Default properties</title>

    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">always active:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">zero-crossing:</emphasis> no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">mode:</emphasis> no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular inputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">regular outputs:</emphasis>
        </para>

        <para>
          <emphasis role="bold">- port 1 : size [1,1] / type 1</emphasis>
        </para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        inputs:</emphasis> 1</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">number/sizes of activation
        outputs:</emphasis> 0</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">continuous-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">discrete-time state:</emphasis> yes</para>
      </listitem>

      <listitem>
        <para><emphasis role="bold">object discrete-time state:</emphasis>
        no</para>
      </listitem>

      <listitem>
        <para>
          <emphasis role="bold">name of computational function:</emphasis>

          <emphasis role="italic">dollar</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Interfacingfunction_DOLLAR_f">
    <title>Interfacing function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/macros/Linear/DOLLAR_f.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Computationalfunction_DOLLAR_f">
    <title>Computational function</title>

    <itemizedlist>
      <listitem>
        <para>SCI/modules/scicos_blocks/src/fortran/dollar.f (Type 0)</para>
      </listitem>
    </itemizedlist>
  </refsection>

  <refsection id="Authors_DOLLAR_f">
    <title>Authors</title>

    <para><emphasis role="bold">Ramine Nikoukhah</emphasis> - INRIA</para>
  </refsection>
</refentry>
